
QGIS Application - Bug report #5402

MS SQL Server native driver not detecting primary key of tables

2012-04-18 01:01 AM - Carlos da Ponte

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Data Provider/MSSQL

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 15070

Description

Tables are all listed and all other attributes of the tables are detected by the driver with the exception of the Primary Key.  A GID

auto-incremented field is present on all tables to act as a primary key for QGIS.  Please provide details on proper table structure and I will

verify everything is correct on our end.

thanks!

History

#1 - 2012-04-18 01:45 AM - Tamas Szekeres

- Assignee set to Tamas Szekeres

#2 - 2012-08-18 03:07 AM - Tamas Szekeres

- Status changed from Open to Feedback

There have been some changes related to the pk detection in the mssql driver. Would you check whether it fixes this problem or not?

#3 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#4 - 2014-06-21 03:36 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for the lack of feedback

#5 - 2014-06-21 03:36 AM - Jürgen Fischer

- Category set to Data Provider/MSSQL
